export declare namespace TiptapTypes {
    type Block = {
        text: string;
    };
    interface BaseNode {
        type: string;
    }
    type TextNode = BaseNode & {
        type: "text";
        text: string;
    };
    type DocNode = BaseNode & {
        type: "doc";
        content: Node[];
    };
    type ParagraphNode = BaseNode & {
        type: "paragraph";
        content: Node[];
    };
    type NestedNode = BaseNode & {
        type: "nested";
        children: Node[];
    };
    interface YouTubeNode extends BaseNode {
        type: "youtube";
        attrs: {
            src: string;
            start: number;
            width: number;
            height: number;
        };
    }
    type Node = TextNode | YouTubeNode | ParagraphNode | DocNode | NestedNode;
    interface SafeJSONParseResult {
        data: Block[];
    }
}
